import 'package:flutter/material.dart';

class BoardButtons extends StatelessWidget {
  BoardButtons({
    required this.width,
    required this.flipBoard,
    this.buttons,
  });

  final double width;
  final VoidCallback flipBoard;
  final Widget? buttons;

  @override
  Widget build(BuildContext context) {
    return Padding(
      padding: const EdgeInsets.all(2.0),
      child: Container(
        height: 40,
        width: 200,
        decoration: BoxDecoration(
          color: Theme.of(context).backgroundColor.withOpacity(0.7),
          border: Border.all(color: Theme.of(context).dividerColor),
          borderRadius: BorderRadius.all(Radius.circular(10)),
        ),
        child: Row(
          mainAxisAlignment: MainAxisAlignment.spaceAround,
          children: [
            IconButton(onPressed: flipBoard, icon: Icon(Icons.sync_rounded)),
            if (buttons != null) buttons!,
          ],
        ),
      ),
    );
  }
}
