import '../chessboard_notation/notation_widgets.dart';
import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';

import '../chessboard/controller.dart';

/// Panel to display chessboard_notation
class ChessboardNotation extends StatelessWidget {
  ChessboardNotation({
    required this.height,
    required this.width,
    required this.notationTextColor,
    this.backgroundColor = Colors.black,
    required this.controller,
    required this.onTapMove,
  });

  final double height;
  final double width;
  final Color backgroundColor;
  final Color notationTextColor;
  final ChessboardController controller;
  final Function(int) onTapMove;

  @override
  Widget build(BuildContext context) {
    return CustomContainer(
      width: width,
      height: height,
      child: Padding(
        padding: const EdgeInsets.all(8.0),
        child: Column(
          mainAxisSize: MainAxisSize.max,
          mainAxisAlignment: MainAxisAlignment.spaceAround,
          children: [
            UserPlayerName(
              whiteTowardUser: !controller.whiteTowardUser,
              white: controller.white,
              black: controller.black,
            ),
//            if (moves.isNotEmpty)
            Expanded(
              child: Padding(
                  padding: const EdgeInsets.symmetric(vertical: 5.0),
                  child: NotationMoves(
                    controller: controller,
                    notationTextColor: notationTextColor,
                    onTapMove: onTapMove,
                  )),
            ),
//            if (moves.isEmpty) Spacer(),
            UserPlayerName(
              whiteTowardUser: controller.whiteTowardUser,
              white: controller.white,
              black: controller.black,
            ),
          ],
        ),
      ),
    );
  }
}
