import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:flutter/widgets.dart';
import 'dart:math' as math;

class ResizableDraggable extends StatelessWidget {
  ResizableDraggable({required this.onDrag, required this.size});
  final Function(double) onDrag;
  final double size;

  @override
  Widget build(BuildContext context) {
    return GestureDetector(
      onPanUpdate: (DragUpdateDetails details) => onDrag(details.delta.dx),
      child: MouseRegion(
        cursor: SystemMouseCursors.resizeUpLeftDownRight,
        child: Column(
          children: [
            Transform.rotate(
                angle: math.pi * 7 / 4,
                child: Container(
                    child: Padding(
                  padding: const EdgeInsets.all(0),
                  child: Icon(
                    Icons.keyboard_arrow_down_sharp,
                    size: size,
                  ),
                ))),
          ],
        ),
      ),
    );
  }
}
